org.eclipse.microprofile.lra.tck.participant.activity

## Class ActivityStorage

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.activity.ActivityStorage

    @ApplicationScoped
    public class ActivityStorage
    extends Object

Storing activities processed by resources during TCK suite run.

### Constructor Summary

Constructors
Constructor and Description
`ActivityStorage()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Activity` `add(Activity activity)`
`List<Activity>` `findAll()`
`Activity` `getActivityAndAssertExistence(URI lraId, jakarta.ws.rs.core.UriInfo jaxrsContext)`
`void` `remove(URI id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActivityStorage

    public ActivityStorage()

### Method Detail

#### getActivityAndAssertExistence

    public Activity getActivityAndAssertExistence(URI lraId,
                                                  jakarta.ws.rs.core.UriInfo jaxrsContext)

#### findAll

    public List<Activity> findAll()

#### add

    public Activity add(Activity activity)

#### remove

    public void remove(URI id)